Last Comment Bug 601435 - Move null check into isElementVisible() like Friedfox.
: Move null check into isElementVisible() like Friedfox.
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b2
Assigned To: Philip Chee
:
Mentors:
Depends on:
Blocks: 410613
  Show dependency treegraph
 
Reported: 2010-10-02 21:25 PDT by Philip Chee
Modified: 2010-10-12 03:26 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed fix v1.0 (2.93 KB, patch)
2010-10-10 10:38 PDT, Philip Chee
neil: review+
Details | Diff | Review

Description Philip Chee 2010-10-02 21:25:18 PDT
From 410613 Comment 61:

> (In reply to comment #60)
>> Firefox moved the null check into their isElementVisible(). We should too.

> Good idea, could you file a followup for that?
Comment 1 Philip Chee 2010-10-10 10:38:23 PDT
Created attachment 482145 [details] [diff] [review]
Proposed fix v1.0

Move null check to isElementVisible() and fix callers.
Comment 2 Philip Chee 2010-10-11 08:13:00 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/68913ca8ed66

Note You need to log in before you can comment on or make changes to this bug.